uname-a.d(1m)

NAME
uname-a.d - "uname -a" demo in DTrace. Uses DTrace.

SYNOPSIS
uname-a.d

DESCRIPTION
This has been written to demonstrate fetching the "uname -a" info from a DTrace script, which turns out to be all kernel variables. This is intended as a starting point for other DTrace scripts, by beginning with familiar statistics. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

EXAMPLES

Print system call counts every second,
    # uname-c.d

FIELDS
See uname(1) manpage for documentation.

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
uname(1), dtrace(1M)